Retrieves an object of the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "4e737d87-34f6-4dbf-8dff-49168c6e44da",
  "_parent_id": "94872aee-30f4-466c-bcc9-6df78653418e",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "688d1de4-5d75-444b-a371-1d8aaf602ea8",
  "company_id": "4e203ee0-13b2-4e12-a3f7-8dc21045e22d",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "31b326f0-fdcb-4434-a9d9-86bdd0c7eb18",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "978656fb-c1b0-4a1f-9016-d54cfe13bc02",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "d2fc7b41-91d4-4849-bafc-2125c7addc4c",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "dcd07213-241d-436f-bde9-ecbe6060d8ae",
    "company_code": "sample string 5",
    "company": {
      "id": "0a0d0b11-7da5-4850-a004-eb55bdc30565",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-11-06T08:47:58.6242338+00:00",
      "sales_territory_id": "8273bbe2-14a2-4378-bf62-aac6e8e0346b",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "bc96b4a4-de2d-45e7-bcdf-8c32ac08d400",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "a26897f6-7969-4347-a9b8-5372c0023536",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "c18f4272-837b-4170-8967-da9cd21de849",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "69db2486-a316-4eb9-84fd-9fa469a9cbab",
          "db_currency_id": "34ab53ea-694d-464e-827c-b7107480b7df",
          "db_language_id": "8b9c9891-601a-40ba-aacc-66af56de37f5",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-06T08:47:58.6242338+00:00"
        },
        "modified_dateutc": "2026-11-06T08:47:58.6242338+00:00"
      },
      "marketing_segment_id": "93bdb86b-240f-4505-bf4c-8dc20a16f19f",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "3a5427e5-c117-4552-af9e-b9fb9519800e",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "c131f777-e696-40dd-9c6d-7df444943ad2",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "74fd85f7-9d21-4b76-b41e-b6e2c60c3432",
      "db_country_code": "sample string 28",
      "feelist_id": "ade5c873-6ab1-41cd-8dd3-8c9f24850c4d",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "e8cd3378-a091-47b7-b07b-3e28a0a06b02",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "0fa317f2-5188-4cf8-9f08-04820bb9c6e8",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-11-06T08:47:58.6242338+00:00",
        "db_currency_id": "58a3e273-d4d1-4dd1-a215-db2ff52b9a46",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "da283463-edf1-4153-bde0-47e64086a93f",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "c8e47ceb-4087-4de7-a2a5-fc3c2375c09e",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "80590dbc-2ddb-4fd4-9a24-d93439e98274",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "d1f174b2-ad19-49f7-a860-fcc6b968c69f",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "16de1156-33fa-489b-aed6-81e604b7359d",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "70862c9f-bef4-4b0d-9076-0434476bb032",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "2ee06055-39e7-4da4-9699-c08bccb3060b",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-11-06T08:47:58.6242338+00:00"
      },
      "company_sector_id": "cd4f3569-1aa6-4b04-aaca-134e1c5d16f9",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "66856ba5-0956-4367-ae43-2f9197e234d6",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "fc8cf1f3-1d52-4e73-986e-19c572675dff",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "81b85552-411d-4637-a4b6-d7449d270a89",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "c6ec33fe-6863-4372-b4d5-db2387089c93",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-11-06T08:47:58.6242338+00:00",
      "id2": 60
    },
    "db_language_id": "3c0ddd44-dbf9-421c-8082-dfaedb308c81",
    "db_language_code": "sample string 7",
    "db_title_id": "08045a94-6f7a-4906-80a9-41089e527c69",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-11-06T08:47:58.6242338+00:00",
    "create_date": "2026-11-06T08:47:58.6242338+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-11-06T08:47:58.6242338+00:00"
  },
  "modified_dateutc": "2026-11-06T08:47:58.6242338+00:00",
  "id2": 22
}